"use strict";

/* exported logger */

require('../../mocha-config.js');

var AbstractDbPanel = require('../../../../main/js/gui/leftPanel/AbstractDbPanel');
var PanelControlElementType = require('../../../../main/js/gui/PanelControlElementType');
var Target = require('../../../../main/js/map/data/Target');

var chai = require('chai');
var assert = chai.assert;
var logger = require('../../logger');

describe('AbstractDbPanel', function() {

  it('contructor', function() {
    var div = document.createElement("div");

    var map = helper.createCustomMap();
    map.registerDbOverlay(helper.createSearchDbOverlay(map));

    var panel = new AbstractDbPanel({
      element : div,
      customMap : map,
      panelName : "search",
    });

    assert.ok(panel.getControlElement(PanelControlElementType.SEARCH_LABEL).innerHTML !== "");
  });
  describe('createTargetRow', function() {
    it('target with elements', function() {
      var div = document.createElement("div");
      var map = helper.createCustomMap();
      map.registerDbOverlay(helper.createSearchDbOverlay(map));

      var panel = new AbstractDbPanel({
        element : div,
        customMap : map,
        panelName : "search",
      });

      var target = new Target({
        targetElements : [ {
          id : 329168,
          modelId : 15781,
          type : "ALIAS"
        } ],
        references : [],
        targetParticipants : [],
      });
      var htmlTag = panel.createTargetRow(target, "empty.png");
      assert.ok(htmlTag);
    });
  });
});
